commit:     35522e982f6b02756e12b51acd27fd7fff51d60c
Author:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 10 14:57:29 2018 +0000
Commit:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Sat Mar 10 14:57:53 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=35522e98

mail-client/mutt: version bump to 1.9.4, bug #650098

Closes: https://bugs.gentoo.org/650098
Package-Manager: Portage-2.3.19, Repoman-2.3.6

 mail-client/mutt/Manifest                                |  3 +--
 .../mutt/{mutt-1.9.2-r2.ebuild => mutt-1.9.4.ebuild}     | 16 +++++++---------
 2 files changed, 8 insertions(+), 11 deletions(-)

diff --git a/mail-client/mutt/Manifest b/mail-client/mutt/Manifest
index 89bee03e919..65254f113f6 100644
--- a/mail-client/mutt/Manifest
+++ b/mail-client/mutt/Manifest
@@ -1,6 +1,5 @@
 DIST mutt-1.7.2.tar.gz 4025880 BLAKE2B 
ab0430ffb10d03e3e904d54540db6c0aecb4590daa8a1d1add710a9e485b2e7e80f707e6649ff0674d53d3578eb75e4ed5c39f1036b3fa43c00bb5c4f2d15cc5
 SHA512 
5f13cbdf802bca80668b2f54bc66201d01bfe34c7f377b1bad88f8fa0e0c695264ff0bf6b64ae9bb6f5a3e22b6f096d2dd99fa36724937609f6f46e6a74da74e
-DIST mutt-1.9.2.tar.gz 4195627 BLAKE2B 
626ddd2535e28d46a50ea8e862573c2956587b9b82ed8839530332eb699214ab2f3a3bf7f65c399ae663b12ca31c8d539b1e39915b2614c15168f0e3bda8be46
 SHA512 
3e35f3d27f1444bcee38e98fe62d41c7fa5b56ac9d5010b1c2cbf034c1e707491a09ccc7387b8d90d8c6c7150edf1d9093fec981d348cf9495313859d373b339
 DIST mutt-1.9.3.tar.gz 4196100 BLAKE2B 
d6f21ce6fb8ae666601113757d50bc1253a0e849bb4a5ddad6337d98dfc6441c2d519fd650ebda5129db07fb60910a61bb4be0d9c37163edd8dfeddc3c99461f
 SHA512 
74be92fbad37f4517c55fabb86cf3bef35929e835877bd59daabc21b292a1e999aa3761df935e595a2226f9d30e256d1b828c11845cae10c60b72dc81e19e7cb
+DIST mutt-1.9.4.tar.gz 4197655 BLAKE2B 
b34224622f590f2cb528644c636e6f5ddc39215f8e0b348c2444cfb8563636ceff52e5a0981e8279bb2d6e48814493ffdbb1122ba6d3e78a9904e8cc2e407398
 SHA512 
b8266af8b487f5be238d03f717ddd69b3dc2eeb4e3ada2c2651c9ad7e0558b92f2c256361a4f688cf80c500c490d47c0e3ef5972bdf1208693da7868a58aca6b
 DIST mutt-gentoo-1.7.2-patches-r1.tar.xz 143816 BLAKE2B 
ecc845983dc00e388c25ced0ca0c253d9fdfa813e9df6a4f166f4ccbb05cc26b5522fa84ccdfd1f92d5cce7291ac3d70ddefaeac3e13dafc892f924236a62f11
 SHA512 
21703bc808ae510e26ede38e1dda5d7c74cad15823154584a83209e9dbf68bf6350961e66729cf2ede78bde003f3b92567d42f9f8f89ed53643dcfa536625b7e
-DIST mutt-gentoo-1.9.2-patches-r2.tar.xz 117216 BLAKE2B 
d0d562f4118fe88341fdf6d8b5fe25ce66e96568a951448e3b0c8a6016e1a2af6c38800661dd2a5adf727dfd66a051dac1c11d834077c2111ec49ffd24af8db0
 SHA512 
08a92e3a75277520e1e308081d95912e339d1f52cdf668a7fda77203a33e363f5f479533f68812366245d20b6be3333e7433fe6cb2c29438709b10ffd5640b41
 DIST mutt-gentoo-1.9.3-patches-r0.tar.xz 113920 BLAKE2B 
7ae47717d5f08192886de5c127d37c1014e69c22c65052fe58270377e947634b4be378ec91d8bb0aaf5c1e5eee98ad5e6f72192a8590fb437c23d1ddd047e24c
 SHA512 
6166150f9d4f2a6e5ddd366a0276249d4a12fc499a24d31016508c94ae8d107bdfc44e43f081b8c803b98ab238650e2129ab3629608c479e5fb61651258a8242

diff --git a/mail-client/mutt/mutt-1.9.2-r2.ebuild 
b/mail-client/mutt/mutt-1.9.4.ebuild
similarity index 96%
rename from mail-client/mutt/mutt-1.9.2-r2.ebuild
rename to mail-client/mutt/mutt-1.9.4.ebuild
index 3d0dfb39c63..ba85cf1cf7a 100644
--- a/mail-client/mutt/mutt-1.9.2-r2.ebuild
+++ b/mail-client/mutt/mutt-1.9.4.ebuild
@@ -5,12 +5,12 @@ EAPI="6"
 
 inherit eutils flag-o-matic autotools
 
-PATCHREV="r2"
+PATCHREV="r0"
 PATCHSET="gentoo-${PVR}/${PATCHREV}"
 
 DESCRIPTION="A small but very powerful text-based mail client"
 HOMEPAGE="http://www.mutt.org/";
-MUTT_G_PATCHES="mutt-gentoo-${PV}-patches-${PATCHREV}.tar.xz"
+MUTT_G_PATCHES="mutt-gentoo-1.9.3-patches-${PATCHREV}.tar.xz"
 SRC_URI="ftp://ftp.mutt.org/pub/mutt/${P}.tar.gz
        https://bitbucket.org/${PN}/${PN}/downloads/${P}.tar.gz
        https://dev.gentoo.org/~grobian/distfiles/${MUTT_G_PATCHES}";
@@ -72,7 +72,7 @@ RDEPEND="${CDEPEND}
 "
 
 src_prepare() {
-       local PATCHDIR="${WORKDIR}"/mutt-gentoo-${PV}-patches
+       local PATCHDIR="${WORKDIR}"/mutt-gentoo-1.9.3-patches
 
        if use !vanilla ; then
                # apply patches
@@ -114,8 +114,7 @@ src_prepare() {
 
        # the configure script contains some "cleverness" whether or not to 
setgid
        # the dotlock program, resulting in bugs like #278332
-       sed -i -e 's/@DOTLOCK_GROUP@//' \
-               Makefile.in || die "sed failed"
+       sed -i -e 's/@DOTLOCK_GROUP@//' Makefile.in || die "sed failed"
 }
 
 src_configure() {
@@ -229,10 +228,9 @@ src_install() {
                        -e 's#in @docdir@,#at http://www.mutt.org/,#' \
                        -e "s#@sysconfdir@#${EPREFIX}/etc/${PN}#" \
                        -e "s#@bindir@#${EPREFIX}/usr/bin#" \
-                       doc/mutt.man > mutt.1
-               cp doc/muttbug.man flea.1
-               cp doc/muttrc.man muttrc.5
-               doman mutt.1 flea.1 muttrc.5
+                       doc/mutt.man > mutt.1 || die
+               cp doc/muttrc.man muttrc.5 || die
+               doman mutt.1 muttrc.5
        else
                # nuke manpages that should be provided by an MTA, bug #177605
                rm "${ED}"/usr/share/man/man5/{mbox,mmdf}.5 \

Reply via email to